%define module_name Prima-OpenGL
# BEGIN SourceDeps(oneline):
BuildRequires: libXcomposite-devel libXcursor-devel libXext-devel libXft-devel libXrandr-devel libXrender-devel libfribidi-devel libglvnd-devel perl(ExtUtils/MakeMaker.pm) perl(OpenGL.pm) perl(OpenGL/Modern.pm) perl(Prima.pm) perl(Prima/sys/Test.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: libjpeg-devel libgif-devel
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.03
Release: alt2
Summary: Prima extension for OpenGL drawing
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KA/KARASIK/%{module_name}-%{version}.tar.gz

%description
The module allows for programming GL library together with Prima widgets.
the OpenGL manpage module does a similar jobs using freeglut GUI library.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README examples
%perl_vendor_archlib/P*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.03-alt2
- rebuild with perl 5.38

* Thu Jan 12 2023 Igor Vlasenko <viy@altlinux.org> 1.03-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.02-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.02-alt2
- rebuild with perl 5.30

* Mon Nov 18 2019 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- updated by package builder

* Thu Feb 21 2019 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- initial import by package builder

